USN-1413-1: Nova vulnerability

29 March 2012

nova vulnerability

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 11.10

Summary

Nova log files could be made to exhaust storage resources.

Software Description

  • nova - OpenStack Compute cloud infrastructure

Details

Dan Prince discovered that Nova did not properly perform input validation on the length of server names. An authenticated attacker could issue requests using long server names to exhaust the storage resources containing the Nova API log file.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 11.10
python-nova - 2011.3-0ubuntu6.5

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system update will make all the necessary changes.

References